> For the complete documentation index, see [llms.txt](https://developers.didomi.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developers.didomi.io/integrations/third-party-apps/adobe-campaign-classic.md).

# Adobe Campaign Classic

{% hint style="success" %}
**Available for:** Preference Management Platform (PMP)

**Premium Feature:** Adobe Campaign Classic
{% endhint %}

Didomi allows you to synchronize your Adobe Campaign subscriptions with the preferences collected through Didomi consent events.

{% hint style="info" %}
Alternatively, the Adobe Campaign Classic integration can be performed directly from the Didomi console for the Preference Management Platform (PMP).
{% endhint %}

## Implementation

### Connection

Didomi interacts with the Adobe Campaign Classic XML API using the [Subscribe](https://experienceleague.adobe.com/developer/campaign-api/api/sm-subscription-Subscribe.html) SOAP method to subscribe or unsubscribe recipients from services depending on their consent choices. Each recipient subscription belongs to an Adobe Campaign folder and has a unique identifier (recipient key) which is linked to the corresponding Didomi user through the `organization_user_id` property.

{% hint style="warning" %}
**Note**: In order to ensure that events are received, Didomi will retry at least five times in the span of five minutes before moving on when your endpoint is down.
{% endhint %}

### Options

* **Upsert mode**: Please note that the upsert\_mode option is not supported for Adobe Campaign Classic.
* **Bidirectional flow**: Please note that the bidirectional flow is not supported at the moment.

## Configuration

Didomi needs the following configuration items to setup the connection with Adobe Campaign Classic:

| Property                      | Description                                                             | Required |
| ----------------------------- | ----------------------------------------------------------------------- | -------- |
| **Server URL**                | URL of the Adobe Campaign Classic server                                | Yes      |
| **Username**                  | Username to connect to the Adobe Campaign Classic server                | Yes      |
| **Password**                  | Password to connect to the Adobe Campaign Classic server                | Yes      |
| **Custom Subscribe action**   | Custom SOAP action to subscribe to a service list                       | No       |
| **Custom Unsubscribe action** | Custom SOAP action to unsubscribe from a service list                   | No       |
| **Mappings**                  | List of services to match between Didomi preferences and Adobe Campaign | Yes      |

### Example

```json
{
    "type_id": "adobe-campaign-classic",
    "authentication": {
        "url": "YOUR_SERVER_URL",
        "username": "USERNAME",
        "password": "PASSWORD"
    },
    "properties": {
        "subscribe_action": "Subscribe",
        "unsubscribe_action": "Unsubscribe"
    },
    "mappings": [
        {
            "id": "MY_NEWSLETTER_SERVICE",
            "value": "consents_preferences_newsletter_enabled",
        }
    ],
    "enable_emailing": false
}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://developers.didomi.io/integrations/third-party-apps/adobe-campaign-classic.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
